<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">

  <title>{{ config.APP_NAME }}</title>

  <!-- TODO define styles -->
  <!-- meta -->
  <meta name="description" content="">
  <meta name="author" content="">
  <meta name="viewport" content="width=device-width,initial-scale=1">

  {% block meta %}{% endblock %}


  <!-- TODO define links such as styles -->
  <!-- Favicons -->
  <link href="{{ url_for('static', filename='dist/img/favicon.png') }}" rel="icon">
  <link href="{{ url_for('static', filename='dist/img/apple-touch-icon.png') }}" rel="apple-touch-icon">
  <!-- Google Fonts -->
  <link
    href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Raleway:300,300i,400,400i,500,500i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
    rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="{{ url_for('static', filename='dist/vendor/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet">
  <link href="{{ url_for('static', filename='dist/vendor/icofont/icofont.min.css') }}" rel="stylesheet">
  <link href="{{ url_for('static', filename='dist/vendor/boxicons/css/boxicons.min.css') }}" rel="stylesheet">
  <link href="{{ url_for('static', filename='dist/vendor/animate.css/animate.min.css') }}" rel="stylesheet">
  <link href="{{ url_for('static', filename='dist/vendor/venobox/venobox.css') }}" rel="stylesheet">
  <link href="{{ url_for('static', filename='dist/css/style.css') }}" rel="stylesheet" media="screen">
  <link href="{{ url_for('static', filename='dist/css/loading.css') }}" rel="stylesheet" media="screen">

  <!-- font awesome  -->
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css" integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous" />  

  <!-- CSS Tenancy custom theme -->
  {% if session['baninfo_ThemeColor'] %}
  <link href="{{ url_for('static', filename='dist/css/color/' ~ session['baninfo_ThemeColor'] ~ '.css') }}" rel="stylesheet"media="screen">
  {% else %}
  <link href="{{ url_for('static', filename='dist/css/color/blue.css') }}" rel="stylesheet"media="screen">
  {% endif %}

  <!-- Additional Links -->
  {% block links %}{% endblock %}

</head>

<body style="min-height: 100vh; display: flex; flex-direction: column;">

  <!-- Main Content -->

  {% include 'components/header.html' %}

  {% include 'components/messages.html' %}

  {% block content %}{% endblock %}


  {% include 'components/loading.html' %}

  <!-- Footer -->
  {% include 'components/footer.html' %}

  <!-- Vendor JS Files -->
  <script src="{{ url_for('static', filename='dist/vendor/jquery/jquery.min.js') }}"></script>
  <script src="{{ url_for('static', filename='dist/vendor/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
  <!--<script src="{{ url_for('static', filename='dist/vendor/jquery.easing/jquery.easing.min.js') }}"></script>-->
  <script src="{{ url_for('static', filename='dist/vendor/php-email-form/validate.js') }}"></script>
  <script src="{{ url_for('static', filename='dist/vendor/jquery-sticky/jquery.sticky.js') }}"></script>
  <script src="{{ url_for('static', filename='dist/vendor/waypoints/jquery.waypoints.min.js') }}"></script>
  <script src="{{ url_for('static', filename='dist/vendor/counterup/counterup.min.js') }}"></script>
  <script src="{{ url_for('static', filename='dist/vendor/isotope-layout/isotope.pkgd.min.js') }}"></script>
  <script src="{{ url_for('static', filename='dist/vendor/venobox/venobox.min.js') }}"></script>
  <!-- Template Main JS File -->
  <script src="{{ url_for('static', filename='dist/js/main.js') }}" type="text/javascript"></script>
  <script src="{{ url_for('static', filename='dist/js/loading.js') }}" type="text/javascript"></script>
  <!-- Use SHA-256 Algorithm -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/crypto-js/3.1.9/sha256.js"></script>
  <!-- Additional Scripts -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.min.js">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.2/additional-methods.min.js">

    {% block scripts %}{% endblock %}

</body>

</html>